var TDPGFC=require("../TDPGlobFileCopier.js");
var should=require("should");
var fs=require("fs");
var fsExtra=require("fs.extra");

// remove output dir (if exists)
var outputBaseDir="./test/testFiles/dest/";
if(fs.existsSync(outputBaseDir))
{
	console.log("Output dir exists, deleting");
	if(!fsExtra.rmrfSync(outputBaseDir))
	{
// we  get here no matter what...need to fix
//		console.log("WARNING! Can't delete "+outputBaseDir+" (probably due to permissions)");
	}
}

TDPGFC.run("./test/config/TDPGlobFileCopierTestConfig.js");

describe("TDPGlobFileCopier.js", function()
{
//	describe("dir1JSTest", function()
//	{
//		var files=fs.readdirSync("./test/testFiles/dest/dir1JS/");
//		
//		it("dir1JS should have only one file named jsExampleDir1.js", function()
//		{
//			files.should.have.length(1).and.eql(["jsExampleDir1.js"]);
//			
//			// need to also check files are files and dirs are dirs
//		});
//	});
	
	
	describe("dir1AllTest", function()
	{
		var files=fs.readdirSync("./test/testFiles/dest/dir1All/");
		var filesSub=fs.readdirSync("./test/testFiles/dest/dir1All/subDir1");
		
		it("dir1All should have only one file named jsExampleDir1.js", function()
		{
			files.should.have.length(4).and.eql(["iniExampleDir1.ini", "jsExampleDir1.js","phpExampleDir1.php","subDir1"]);
			
			// filesSub is incorrect - should contain 2 files. due to glob not being recursive
			
			//			// need to also check files are files and dirs are dirs
		});
	});
});